Kernel panic su Tumbleweed dopo update

15 risposte [Ultimo messaggio]
Ritratto di marco.azzalini
marco.azzalini
(Junior)
Offline
Junior
Iscritto: 18/02/2012
Messaggi: 21

ciao, ho cercato di recuperare un po' di informazioni. In pratica è il conflitto che mi ha segnalato quando provo a selezionare per l'installazione openSUSE-MicroOS ed ho anche allegato l'elenco dei pacchetti che dovrebbero essere presenti nel sistema, almeno secondo quanto ne pensa YAST.

Nel primo conflitto, selezionando

disinstallazione di cracklib-dict-full-2.8.12-66.4.x86_64
disinstallazione di systemd-presets-branding-openSUSE-12.2-16.2.noarch

si arriva al secondo conflitto che secondo me non ha molto senso:

product:openSUSE-MicroOS-20200528-0.x86_64 richiede product(openSUSE-MicroOS) = 20200528-0, ma non è possibile fornire questa richiesta

visto che sono attivi esattamente i tre repository ufficiali Tumbleweed quindi dovrebbe trovare tutto.

L'altra cosa strana è che in console, scrive questo prima del login:

Welcome to openSUSE Tumbleweed 20200528 - Kernel 5.6.14-1-default
 
Welcome to openSUSE MicroOS (x86_64) - Kernel 5.6.14-1-default

come se 'sto cavolo di MicroOS invece ci sia.

Io getto la spugna, se sai darmi un consiglio bene, altrimenti a malincuore, perché perdo alcune configurazioni che invece mi piacerebbe salvare, mi tocca reinstallare da capo e riconfigurarmi stampanti, VPN e cento altre cosette.
Intanto grazie per il tuo interessamento....

AllegatoDimensione
conflicts.txt 638 byte
conflicts2.txt 919 byte
user-packages.txt 281.78 KB
Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 892

Io MicroOS ecc non l' ho installato , quindi sei riuscito ad avviare Yast ?

Ritratto di marco.azzalini
marco.azzalini
(Junior)
Offline
Junior
Iscritto: 18/02/2012
Messaggi: 21

Ciao, no no dalla mia installazione non c'è modo perchè non riesco a fare login. Quello YAST di cui parlavo è quello che c'è dentro il programma di update. Adesso stavo cercando di fare un boot in single user mode per vedere se così riesco ad entrare ma non mi sta funzionando... mi chiede sempre login

Ritratto di Grinch
Grinch
(Guru)
Offline
Guru
Iscritto: 05/12/2011
Messaggi: 892

Ti chiede il login , quindi il tuo user e invio , ti chiede la pass digitala e invio , poi digiti su - e invio e poi la pass di nuovo e dovresti essere Root quindi puoi avviare yast2

Ritratto di marco.azzalini
marco.azzalini
(Junior)
Offline
Junior
Iscritto: 18/02/2012
Messaggi: 21

No, a me non chiedeva mai la password... appena inserivo il nome mi diceva subito 'Login incorrect'.
Sono entrato in single user mode, rimontato la partizione root in RW e provato a fare un passwd sul mio utente ma mi dava un errore assurdo tipo "No Module" e poi altri errori molto strani.

A quel punto ho deciso che il sistema era comunque troppo compromesso ed ho deciso di reinstallare tutto.
Ora ti sto scrivendo di nuovo da Linux Smile quindi... problema 'risolto'

Ti ringrazio per l'aiuto che mi hai dato

ciao
Marco